# Copyright (c) 2021, XhiveFramework Technologies Pvt. Ltd. and Contributors
# MIT License. See license.txt


import functools

import xhiveframework


@xhiveframework.whitelist()
def get_google_fonts():
	return _get_google_fonts()


@functools.lru_cache
def _get_google_fonts():
	file_path = xhiveframework.get_app_path("xhiveframework", "data", "google_fonts.json")
	return xhiveframework.parse_json(xhiveframework.read_file(file_path))
